package com.base.datarecovery.fcm.work

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.base.datarecovery.MyApplication
import com.base.datarecovery.fcm.NotificationUtil
import com.base.datarecovery.help.BaseApplication
import com.base.datarecovery.utils.EventUtils


class AlterReceiver2: BroadcastReceiver() {
    override fun onReceive(p0: Context?, p1: Intent?) {
        EventUtils.event("alarm_push2")
        NotificationUtil.sendNotification(BaseApplication.context, "alarm2")
        (BaseApplication.context as MyApplication).startWorkManager()
        return
    }
}